AVCONVERT(1)

NAME
avconvert - movie conversion tool

SYNOPSIS
avconvert [-hvq] --p <preset_name> --s <source_media> --o <output_movie>

DESCRIPTION
avconvert can be used to compress video media to different types for sharing on the web or loading onto devices.

-h  prints usage information and available presets

-v  sets the console output to verbose

-q  sets the console output to quiet

-prog
    shows progress during the export (default with -v)

-p | --preset name
    converts the source media to an output file using the specified preset. Use --listPresets to get the full list. Common presets are:

        PresetAppleM4VCellular
        PresetAppleM4ViPod
        PresetAppleM4VWiFi
        PresetAppleM4VAppleTV
        PresetAppleM4V480pSD
        PresetAppleM4V720pHD
        PresetAppleM4V1080pHD
        PresetAppleM4A

-s | --source file
    is the source media file

-o | --output file
    is the output movie file

--listPresets
    lists all of the presets avconvert supports

--listTracks
    lists the available tracks in the source media. Must be used with the --source flag

OPTIONS

Optional flags to configure the audio export settings

-adr number
    a limit value for the data rate for the audio track in bits per second

-af fourCC
    sets the format of the audio output using a fourCC eg. aac

-sr number
    configures the sample rate of the output in Hertz. eg. 44100

-cc number
    is the channel count of the output eg. 1 (for mono) 2 (stereo) 4 (quad)

Optional flags to configure the video export settings

-vdr number
    a limit value for the video data rate in bits per second

-th number
    sets the height of the output video in pixels

-tw number
    sets the width of the output video in pixels

-vc fourCC
    sets the format of the video output using a fourCC eg. avc1

-fr number
    sets the frame rate of the output video in frames per second

-kr number
    specifies how often keyframes appear in the output video

-fr yes | no
    sets whether or not to enable frame reordering (b-frames)

Optional flags configuring track and metadata output

-ot name
    omits the listed track type from the exported movie Allowable track types are:

        videoTrack
        audioTrack
        subtitleTrack
        chapterTrack
        thumbnailTrack
        closedcaptionTrack
        textTrack

-md file
    sets the file from which the metadata for the export is found if that is different from the source movie

EXAMPLES

avconvert --listPresets

Lists the available presets that can be used for export

avconvert --preset AppleM4ViPod --source sample_movie.mov --output ipod_movie.m4v

Exports the source movie "sample_movie.mov" to "ipod_movie.m4v" using the iPod encoding preset

avconvert --preset AppleM4VAppleTV --source sample_movie.mov --output appletv_movie.m4v -adr 128000 -sr 441000

Overrides the AppleTV defaults for audio data rate and sample rate in the output movie

avconvert --preset AppleM4VAppleTV --source sample_movie.mov --output appletv_movie.m4v -ot audioTrack

Omits the audio track from the output file "appletv_movie.m4v"

HISTORY
avconvert command first appeared in Mac OS X 10.7.